{{- if .Values.config.openldap.dhparam }}
apiVersion: v1
kind: Secret
metadata:
  name: dhparam
  labels:
    app: {{ template "openldap.name" . }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
type: Opaque
stringData:
  dhparam.pem: {{ .Values.config.openldap.dhparam | quote }}
{{- end }}
